Skip to navigation

Retrieve current On-Demand Payroll

Retrieves the active On-Demand Payroll for a contract. Use it to check the current state of that payroll and to get the identifier needed to attach or detach entries, or to submit or cancel it.

Token scopes: on-demand-payroll:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.deel.training/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired

Public ID (oid) of the contract.

Response

The active On-Demand Payroll for the contract.

dataobject

An On-Demand Payroll for a contract.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error